Subject: bug#39373: 27.0.50; [PATCH] mode-local-print-bindings broken with lexical-binding

From: Mattias Engdegård <[email-masked]>
Date: Sun, 2 Feb 2020 12:58:40 +0100

2 feb. 2020 kl. 04.31 skrev Eli Zaretskii <[email-masked]>:

> I'd prefer to have a short note in the description of each one of
> them.

Right -- I added a note to 'add-to-ordered-list' and 'add-to-history', since their arguments were described as variables.

For 'set' and 'symbol-value', the argument is described as a symbol, which I'd say makes a slight difference here, since lexical variables are mentioned in the description of the relationship between variables and symbols, and also explicitly in the documentation of 'set' in the manual.

The hook functions mostly talk about symbols and hooks, not variables, and I think the risk of them being used on lexvars is slight.

Good enough?